## timelimit 1.1

=== Makefile ===
# Copyright (c) 2001, 2007  Peter Pentchev
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Ringlet: Makefile 1486 2007-12-07 08:50:19Z roam $

CC?=		gcc
CFLAGS?=		-O -pipe
LDFLAGS?=
LFLAGS?=	${LDFLAGS}
LIBS?=

RM=		rm -f
MKDIR?=		mkdir -p

PROG=		timelimit
OBJS=		timelimit.o
SRCS=		timelimit.c

MAN1=		timelimit.1
MAN1GZ=		${MAN1}.gz

LOCALBASE?=	/usr/local
PREFIX?=	${LOCALBASE}
BINDIR?=	${PREFIX}/bin
MANDIR?=	${PREFIX}/man/man

BINOWN?=	root
BINGRP?=	wheel
BINMODE?=	555

MANOWN?=	root
MANGRP?=	wheel
MANMODE?=	644

# comment this if you do not have err(3) and errx(3) (most BSD systems do)
CFLAGS+=	-DHAVE_ERR
# comment this if you do not have the sysexits.h header file (most systems do)
CFLAGS+=	-DHAVE_SYSEXITS_H
# comment this if you do not have the errno.h header file (most systems do)
CFLAGS+=	-DHAVE_ERRNO_H
# comment this if you do not have sigaction(2) (most systems do)
CFLAGS+=	-DHAVE_SIGACTION

# development/debugging flags, you may safely ignore them
#CFLAGS+=	${BDECFLAGS}
#CFLAGS+=	-ggdb -g3

all:		${PROG} ${MAN1GZ}

clean:
		${RM} ${PROG} ${OBJS} ${MAN1GZ}

${PROG}:	${OBJS}
		${CC} ${LFLAGS} -o ${PROG} ${OBJS}

timelimit.o:	timelimit.c config.h
		${CC} ${CFLAGS} -c timelimit.c

${MAN1GZ}:	${MAN1}
		gzip -c9 ${MAN1} > ${MAN1GZ}.tmp
		mv ${MAN1GZ}.tmp ${MAN1GZ}

install:	all
		-${MKDIR} ${DESTDIR}${BINDIR}
		-${MKDIR} ${DESTDIR}${MANDIR}1
		install -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} ${PROG} ${DESTDIR}${BINDIR}/
		install -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} ${MAN1GZ} ${DESTDIR}${MANDIR}1/

## timelimit 1.4

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $Ringlet: Makefile 1486 2007-12-07 08:50:19Z roam $
+# $Ringlet: Makefile 2544 2008-09-03 13:24:36Z roam $
 
 CC?=		gcc
 CFLAGS?=		-O -pipe

## timelimit 1.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2001, 2007  Peter Pentchev
+# Copyright (c) 2001, 2007, 2010  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -22,10 +22,11 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $Ringlet: Makefile 2544 2008-09-03 13:24:36Z roam $
+# $Ringlet: Makefile 5200 2010-06-26 19:23:54Z roam $
 
 CC?=		gcc
 CFLAGS?=		-O -pipe
+CPPFLAGS?=
 LDFLAGS?=
 LFLAGS?=	${LDFLAGS}
 LIBS?=
@@ -75,7 +76,7 @@
 		${CC} ${LFLAGS} -o ${PROG} ${OBJS}
 
 timelimit.o:	timelimit.c config.h
-		${CC} ${CFLAGS} -c timelimit.c
+		${CC} ${CPPFLAGS} ${CFLAGS} -c timelimit.c
 
 ${MAN1GZ}:	${MAN1}
 		gzip -c9 ${MAN1} > ${MAN1GZ}.tmp

=== debian/changelog ===
timelimit (1.6-1) unstable; urgency=low

  * Bump Standards-Version to 3.9.0 with no changes.
  * Convert to the 3.0 (quilt) source format with no changes.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain the default values
    for CFLAGS, CPPFLAGS, and LDFLAGS.
  * Update the copyright file to the latest revision of the DEP 5 format
    and bump the year on my copyright notice.
  * Shorten the Vcs-Browser URL.
  * New upstream version:
    - actually honor CPPFLAGS :)
    - explicitly pass the new changelog name, NEWS, to dh_installchangelogs

 -- Peter Pentchev <roam@ringlet.net>  Tue, 29 Jun 2010 00:22:32 +0300

timelimit (1.5-1) unstable; urgency=low

  * New upstream release
    - add the -p flag to propagate a termination signal.  Closes: #547452
  * Bump Standards-Version to 3.8.3 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 31 Oct 2009 17:21:26 +0200

timelimit (1.4-2) unstable; urgency=low

  * Refer to GPL-2, not just GPL, in the copyright file.
  * Bump Standards-Version to 3.8.1 with no changes.
  * Add misc:Depends to the binary package.
  * Minimize the rules file using debhelper override targets.
  * Update the copyright years for the Debian packaging.
  * Point to the actual Debian package files in Vcs-Svn and Vcs-Browser,
    not at the full timelimit upstream repository.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 14 Apr 2009 11:13:21 +0300

timelimit (1.4-1) unstable; urgency=low

  * New upstream version
    - fixes the options processing - does not try to parse the options
      passed to the executed program.  Closes: #505140.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 12 Nov 2008 11:31:03 +0200

timelimit (1.3-1) unstable; urgency=low

  * New upstream version
    - returns the child process exit code instead of always exiting
      with 0.  Closes: #494629.
  * Update debian/copyright since the different source files have
    different copyright years now.
  * Add many more warning options to CFLAGS, just in case.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 03 Sep 2008 16:54:36 +0300

timelimit (1.1-3) unstable; urgency=low

  * Fix the watchfile
  * Remove the $Ringlet VCS tags from the watchfile and the rules file
  * Bump standards version to 3.8.0 (no changes)
  * Leave "noopt" and "nostrip" option processing to dpkg-buildpackage
  * Honor the "werror" build option
  * Enable build hardening, disabled by the "nohardening" build option
  * Use debhelper 7 to minimize the rules file
  * Convert the copyright to the machine-parseable format and bump
    the Debian packaging copyright year

  * debian/compat
    - bump the debhelper compatibility level to 7
  * debian/control
    - standards version 3.8.0 (no changes)
    - bump the debhelper dependency to version 7
  * debian/copyright
    - fully convert this file to the machine-parseable format
    - bump the debian/* copyright year
  * debian/rules
    - remove the $Ringlet VCS tag
    - let dpkg-buildpackage handle the "noopt" and "nostrip" options and
      set the default CFLAGS
    - pass -Werror to the C compiler if the non-standard "werror" option
      is set in DEB_BUILD_OPTIONS
    - enable build hardening unless "nohardening" is set in DEB_BUILD_OPTIONS
    - use debhelper 7's "dh" wrapper for most tasks
  * debian/watch
    - remove a blank line so that the first non-comment line is indeed
      the "version" one as uscan requires
    - remove the $Ringlet VCS tag

 -- Peter Pentchev <roam@ringlet.net>  Fri, 18 Jul 2008 14:35:08 +0300

timelimit (1.1-2) unstable; urgency=low

  * Conflict with netpipes (Closes: #457444).

 -- Peter Pentchev <roam@ringlet.net>  Sun, 23 Dec 2007 03:06:56 +0200

timelimit (1.1-1) unstable; urgency=low

  * Initial release (Closes: #453290).

 -- Peter Pentchev <roam@ringlet.net>  Wed, 19 Dec 2007 17:34:32 +0200

=== debian/control ===
Source: timelimit
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), dpkg-dev (>= 1.15.7~)
Standards-Version: 3.9.0
Vcs-Browser: http://svn.ringlet.net/v/ringlet/sysutils/timelimit/trunk/timelimit-pkg/debian/
Vcs-svn: http://svn.ringlet.net/svn/ringlet/sysutils/timelimit/trunk/timelimit-pkg/debian/
Homepage: http://devel.ringlet.net/sysutils/timelimit/

Package: timelimit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: netpipes
Description: Simple utility to limit a process's absolute execution time
 The timelimit utility executes a command and terminates the spawned process
 after a given time with a given signal.  A "warning" signal is sent first,
 then, after a timeout, a "kill" signal, similar to the way init(8) operates
 on shutdown.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Debhelper build instructions for timelimit.

CFLAGS=		$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS=	$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS=	$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS+=	-pipe -Wall -W -ansi -pedantic -Wbad-function-cast \
		-Wcast-align -Wcast-qual -Wchar-subscripts -Winline \
		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
		-Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
	CFLAGS+=	-Werror
endif
ifeq (,$(filter nohardening,$(DEB_BUILD_OPTIONS)))
export DEB_BUILD_HARDENING=1
else
export DEB_BUILD_HARDENING=0
endif
export CFLAGS CPPFLAGS LDFLAGS

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man \
	  BINGRP=root MANGRP=root

override_dh_installchangelogs:
	dh_installchangelogs NEWS

%:
	dh "$@"

## timelimit 1.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2001, 2007, 2010  Peter Pentchev
+# Copyright (c) 2001, 2007, 2010, 2011  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -22,7 +22,7 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $Ringlet: Makefile 5200 2010-06-26 19:23:54Z roam $
+# $Ringlet$
 
 CC?=		gcc
 CFLAGS?=		-O -pipe
@@ -60,6 +60,8 @@
 CFLAGS+=	-DHAVE_SYSEXITS_H
 # comment this if you do not have the errno.h header file (most systems do)
 CFLAGS+=	-DHAVE_ERRNO_H
+# comment this if you do not have setitimer(2) (most systems do)
+CFLAGS+=	-DHAVE_SETITIMER
 # comment this if you do not have sigaction(2) (most systems do)
 CFLAGS+=	-DHAVE_SIGACTION
 
@@ -87,3 +89,6 @@
 		-${MKDIR} ${DESTDIR}${MANDIR}1
 		install -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} ${PROG} ${DESTDIR}${BINDIR}/
 		install -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
+
+check:		all
+		prove -v t

=== debian/changelog ===
timelimit (1.8-1) unstable; urgency=low

  * New upstream release
    - supports signal names now.  Closes: #621775
    - needs prove(1) for the test suite, so build-depend on perl
  * Update the copyright file to the latest DEP 5 candidate format.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 13 Apr 2011 16:35:30 +0300

timelimit (1.7-4) unstable; urgency=low

  * After a discussion with George Danchev <danchev@debian.org> and
    Mats Erik Andersson (the maintainer of netpipes), make the binary
    package conflict versioned - the next upload of netpipes will not
    install a timelimit binary, so the conflict will be resolved.
    Thanks a lot to George Danchev and Mats Erik Andersson for
    the discussion and assistance!
  * Add a override for the "conflicts with version" Lintian informational
    message that the above change provokes.
  * Bump Standards-Version to 3.9.2 with no changes.
  * Update the copyright file to the latest DEP 5 candidate format.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 11 Apr 2011 12:08:18 +0300

timelimit (1.7-3) unstable; urgency=low

  * Make the short description start with a lowercase letter.
  * Update the copyright file to the latest DEP 5 candidate format.
  * Upload to unstable.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 01 Mar 2011 18:29:14 +0200

timelimit (1.7-2) experimental; urgency=low

  * Actually enable the build hardening by default (depend on a hardening
    package) and switch from the hardening-wrapper to hardening-includes.
  * Use := instead of = to optimize some shell invocations in the rules file.
  * Bump the year on my copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 06 Jan 2011 17:33:28 +0200

timelimit (1.7-1) experimental; urgency=low

  * New upstream release:
    - use setitimer(2) for subsecond precision.  Closes: #597824
    - update the years in the copyright file
  * Bump Standards-Version to 3.9.1 with no changes.
  * Switch to Git and point the Vcs-* fields to Gitorious.
  * Switch to bzip2 compression for the Debian tarball.
  * Bump the debhelper compatibility level to 8 with no changes.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 30 Sep 2010 13:01:11 +0300

=== debian/control ===
Source: timelimit
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>> 8), dpkg-dev (>= 1.15.7~), hardening-includes, perl
Standards-Version: 3.9.2
Vcs-Git: git://gitorious.org/timelimit/pkg-debian.git
Vcs-Browser: http://gitorious.org/timelimit/pkg-debian
Homepage: http://devel.ringlet.net/sysutils/timelimit/

Package: timelimit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: netpipes (<< 4.2-6)
Description: simple utility to limit a process's absolute execution time
 The timelimit utility executes a command and terminates the spawned process
 after a given time with a given signal.  A "warning" signal is sent first,
 then, after a timeout, a "kill" signal, similar to the way init(8) operates
 on shutdown.

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # -*- makefile -*-
 # Debhelper build instructions for timelimit.
 
-CFLAGS=		$(shell dpkg-buildflags --get CFLAGS)
-CPPFLAGS=	$(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS=	$(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS:=	$(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS:=	$(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS:=	$(shell dpkg-buildflags --get LDFLAGS)
 
 CFLAGS+=	-pipe -Wall -W -ansi -pedantic -Wbad-function-cast \
 		-Wcast-align -Wcast-qual -Wchar-subscripts -Winline \
@@ -13,11 +13,13 @@
 ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
 	CFLAGS+=	-Werror
 endif
+
+include /usr/share/hardening-includes/hardening.make
 ifeq (,$(filter nohardening,$(DEB_BUILD_OPTIONS)))
-export DEB_BUILD_HARDENING=1
-else
-export DEB_BUILD_HARDENING=0
+CFLAGS+=	$(HARDENING_CFLAGS)
+LDFLAGS+=	$(HARDENING_LDFLAGS)
 endif
+
 export CFLAGS CPPFLAGS LDFLAGS
 
 override_dh_auto_install:

=== debian/watch ===
version = 3

http://devel.ringlet.net/sysutils/timelimit/ timelimit-([\d\.]*).tar.gz

## timelimit 1.8.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2001, 2007, 2010, 2011  Peter Pentchev
+# Copyright (c) 2001, 2007, 2010, 2011, 2016  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -21,11 +21,11 @@
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
-#
-# $Ringlet$
 
 CC?=		gcc
+CFLAGS_STD?=	-std=c99
 CFLAGS?=		-O -pipe
+CFLAGS+=	${CFLAGS_STD}
 CPPFLAGS?=
 LDFLAGS?=
 LFLAGS?=	${LDFLAGS}
@@ -45,14 +45,16 @@
 PREFIX?=	${LOCALBASE}
 BINDIR?=	${PREFIX}/bin
 MANDIR?=	${PREFIX}/man/man
+DOCSDIR?=	${PREFIX}/share/doc/timelimit
+EXAMPLESDIR?=	${DOCSDIR}/examples
 
 BINOWN?=	root
 BINGRP?=	wheel
 BINMODE?=	555
 
-MANOWN?=	root
-MANGRP?=	wheel
-MANMODE?=	644
+SHAREOWN?=	root
+SHAREGRP?=	wheel
+SHAREMODE?=	644
 
 # comment this if you do not have err(3) and errx(3) (most BSD systems do)
 CFLAGS+=	-DHAVE_ERR
@@ -87,8 +89,10 @@
 install:	all
 		-${MKDIR} ${DESTDIR}${BINDIR}
 		-${MKDIR} ${DESTDIR}${MANDIR}1
+		-${MKDIR} ${DESTDIR}${EXAMPLESDIR}/tests
 		install -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} ${PROG} ${DESTDIR}${BINDIR}/
-		install -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
+		install -c -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
+		install -c -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} t/*.t ${DESTDIR}${EXAMPLESDIR}/tests/
 
 check:		all
 		prove -v t

=== debian/changelog ===
timelimit (1.8.1-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8:
    - update the copyright file to copyright format 1.0
    - fix the copyright file information about upstream version 1.8
    - drop the DM-Upload-Allowed source control field
  * Bump the debhelper compatibility level to 10:
    - get the build flags (incl. hardening) directly from debhelper
    - drop the hardening-includes build dependency
    - drop the versioned dpkg-dev build dependency for dpkg-buildflags
    - override the Lintian debhelper version warning as it itself suggests
  * Drop the source compression options; dpkg-dev's defaults are good enough.
  * Update the watch file a bit:
    - update it to version 4
    - use pgpmode=auto to let uscan discover the upstream signature by itself
      and add the upstream PGP key to verify against
    - let it check the new /files/ location and also look for *.tar.xz files
  * Update the copyright file a bit:
    - bump the year on my debian/* copyright notice
    - rename the "BSD-2" license to "BSD-2-clause"
    - relicense my debian/* work under the same two-clause BSD license
  * Add the debian/upstream/metadata file.
  * Add Multi-Arch: foreign to the binary package.
  * Point the Vcs-* source control fields and the upstream metadata
    Repository fields to the new GitLab full-source repository and
    use the HTTPS scheme.
  * New upstream release:
    - remove -ansi from the compiler flags, -std=c99 is added upstream now
    - merge the upstream copyright information into a single block
  * Add an autopkgtest suite using the installed tests.

 -- Peter Pentchev <roam@ringlet.net>  Sat, 16 Apr 2016 01:28:15 +0300

=== debian/control ===
Source: timelimit
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>> 9.20160403~), perl
Standards-Version: 3.9.8
Vcs-Git: https://gitlab.com/timelimit/timelimit.git -b debian
Vcs-Browser: https://gitlab.com/timelimit/timelimit/tree/debian
Homepage: http://devel.ringlet.net/sysutils/timelimit/
Testsuite: autopkgtest

Package: timelimit
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: netpipes (<< 4.2-6)
Description: simple utility to limit a process's absolute execution time
 The timelimit utility executes a command and terminates the spawned process
 after a given time with a given signal.  A "warning" signal is sent first,
 then, after a timeout, a "kill" signal, similar to the way init(8) operates
 on shutdown.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Debhelper build instructions for timelimit.

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

DEB_CFLAGS_MAINT_APPEND=	-pipe -Wall -W -pedantic -Wbad-function-cast \
		-Wcast-align -Wcast-qual -Wchar-subscripts -Winline \
		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
		-Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
DEB_CFLAGS_MAINT_APPEND+=	-Werror
endif
export DEB_CFLAGS_MAINT_APPEND

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man \
	  BINGRP=root SHAREGRP=root

override_dh_installchangelogs:
	dh_installchangelogs NEWS

%:
	dh "$@"

=== debian/watch ===
version = 4

opts=pgpmode=auto \
http://devel.ringlet.net/sysutils/timelimit/ http://devel.ringlet.net/(?:files/sys/timelimit|sysutils/timelimit)/timelimit-([\d\.]*).tar.(?:xz|gz)

## timelimit 1.8.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2001, 2007, 2010, 2011, 2016  Peter Pentchev
+# Copyright (c) 2001, 2007, 2010, 2011, 2016, 2017  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -71,6 +71,13 @@
 #CFLAGS+=	${BDECFLAGS}
 #CFLAGS+=	-ggdb -g3
 
+INSTALL?=	install
+COPY?=		-c
+STRIP?=		-s
+
+INSTALL_PROGRAM?=	${INSTALL} ${COPY} ${STRIP} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
+INSTALL_DATA?=		${INSTALL} ${COPY} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE}
+
 all:		${PROG} ${MAN1GZ}
 
 clean:
@@ -90,9 +97,9 @@
 		-${MKDIR} ${DESTDIR}${BINDIR}
 		-${MKDIR} ${DESTDIR}${MANDIR}1
 		-${MKDIR} ${DESTDIR}${EXAMPLESDIR}/tests
-		install -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} ${PROG} ${DESTDIR}${BINDIR}/
-		install -c -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
-		install -c -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} t/*.t ${DESTDIR}${EXAMPLESDIR}/tests/
+		${INSTALL_PROGRAM} ${PROG} ${DESTDIR}${BINDIR}/
+		${INSTALL_DATA} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
+		${INSTALL_DATA} t/*.t ${DESTDIR}${EXAMPLESDIR}/tests/
 
 check:		all
 		prove -v t

=== debian/changelog ===
timelimit (1.8.2-1) unstable; urgency=medium

  * Bring up to compliance with Debian Policy 4.1.1:
    - drop the implicit "Testsuite: autopkgtest" source control header
  * Drop a conflict with a version of netpipes that is not even in
    oldoldstable now.
  * Add "Rules-Require-Root: no" to the source control stanza.
  * New upstream release.
  * Bump the debhelper compatibility level to 11 and the build dependency
    to 10.8~.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 20 Nov 2017 17:37:20 +0200

timelimit (1.8.1-2) unstable; urgency=medium

  * Switch various upstream and Debian URLs to the HTTPS scheme.
  * Use single quotes around an argument that is expanded by make(1),
    not by the shell, in the rules file.
  * Depend on debhelper 10 now that it's even in jessie-backports.
  * Switch back to pgpsigurlmangle in the watch file; pgpmode=auto will
    not detect a missing upstream signature file.
  * Use the v4 substitution variables in the watch file.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 15 Nov 2016 17:16:45 +0200

=== debian/control ===
Source: timelimit
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>> 10.8~), perl
Standards-Version: 4.1.1
Vcs-Git: https://gitlab.com/timelimit/timelimit.git -b debian
Vcs-Browser: https://gitlab.com/timelimit/timelimit/tree/debian
Homepage: https://devel.ringlet.net/sysutils/timelimit/
Rules-Requires-Root: no

Package: timelimit
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple utility to limit a process's absolute execution time
 The timelimit utility executes a command and terminates the spawned process
 after a given time with a given signal.  A "warning" signal is sent first,
 then, after a timeout, a "kill" signal, similar to the way init(8) operates
 on shutdown.

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,10 @@
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man \
-	  BINGRP=root SHAREGRP=root
+		INSTALL_PROGRAM='install -m 755' INSTALL_DATA='install -m 644'
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
 %:
-	dh "$@"
+	dh '$@'

=== debian/tests/control ===
Test-Command: env TIMELIMIT='/usr/bin/timelimit' prove -v /usr/share/doc/timelimit/examples/tests
Depends: @, perl

## timelimit 1.9.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2001, 2007, 2010, 2011, 2016, 2017  Peter Pentchev
+# Copyright (c) 2001, 2007, 2010, 2011, 2016 - 2018  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -26,13 +26,15 @@
 CFLAGS_STD?=	-std=c99
 CFLAGS?=		-O -pipe
 CFLAGS+=	${CFLAGS_STD}
-CPPFLAGS?=
+CPPFLAGS_STD?=	-D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700
+CPPFLAGS+=	${CPPFLAGS_STD}
 LDFLAGS?=
 LFLAGS?=	${LDFLAGS}
 LIBS?=
 
 RM=		rm -f
 MKDIR?=		mkdir -p
+CAT?=		cat
 
 PROG=		timelimit
 OBJS=		timelimit.o
@@ -56,17 +58,6 @@
 SHAREGRP?=	wheel
 SHAREMODE?=	644
 
-# comment this if you do not have err(3) and errx(3) (most BSD systems do)
-CFLAGS+=	-DHAVE_ERR
-# comment this if you do not have the sysexits.h header file (most systems do)
-CFLAGS+=	-DHAVE_SYSEXITS_H
-# comment this if you do not have the errno.h header file (most systems do)
-CFLAGS+=	-DHAVE_ERRNO_H
-# comment this if you do not have setitimer(2) (most systems do)
-CFLAGS+=	-DHAVE_SETITIMER
-# comment this if you do not have sigaction(2) (most systems do)
-CFLAGS+=	-DHAVE_SIGACTION
-
 # development/debugging flags, you may safely ignore them
 #CFLAGS+=	${BDECFLAGS}
 #CFLAGS+=	-ggdb -g3
@@ -81,12 +72,49 @@
 all:		${PROG} ${MAN1GZ}
 
 clean:
-		${RM} ${PROG} ${OBJS} ${MAN1GZ}
+		${RM} ${PROG} ${OBJS} ${MAN1GZ} autoconfig.h
 
 ${PROG}:	${OBJS}
 		${CC} ${LFLAGS} -o ${PROG} ${OBJS}
 
-timelimit.o:	timelimit.c config.h
+autoconfig.h:	autoconfig/try-err.c autoconfig/try-errno.c \
+		autoconfig/try-setitimer.c autoconfig/try-sigaction.c \
+		autoconfig/try-sysexits.c \
+		Makefile
+		: > autoconfig.h
+		if ${CC} ${CPPFLAGS} ${CFLAGS} ${LFLAGS} -o try-err autoconfig/try-err.c; then \
+			echo '#define HAVE_ERR' >> autoconfig.h; \
+		else \
+			echo '#undef HAVE_ERR' >> autoconfig.h; \
+		fi
+		test -f try-err && ${RM} try-err
+		if ${CC} ${CPPFLAGS} ${CFLAGS} ${LFLAGS} -o try-errno autoconfig/try-errno.c; then \
+			echo '#define HAVE_ERRNO_H' >> autoconfig.h; \
+		else \
+			echo '#undef HAVE_ERRNO_H' >> autoconfig.h; \
+		fi
+		test -f try-errno && ${RM} try-errno
+		if ${CC} ${CPPFLAGS} ${CFLAGS} ${LFLAGS} -o try-sigaction autoconfig/try-sigaction.c; then \
+			echo '#define HAVE_SIGACTION' >> autoconfig.h; \
+		else \
+			echo '#undef HAVE_SIGACTION' >> autoconfig.h; \
+		fi
+		test -f try-sigaction && ${RM} try-sigaction
+		if ${CC} ${CPPFLAGS} ${CFLAGS} ${LFLAGS} -o try-setitimer autoconfig/try-setitimer.c; then \
+			echo '#define HAVE_SETITIMER' >> autoconfig.h; \
+		else \
+			echo '#undef HAVE_SETITIMER' >> autoconfig.h; \
+		fi
+		test -f try-setitimer && ${RM} try-setitimer
+		if ${CC} ${CPPFLAGS} ${CFLAGS} ${LFLAGS} -o try-sysexits autoconfig/try-sysexits.c; then \
+			echo '#define HAVE_SYSEXITS_H' >> autoconfig.h; \
+		else \
+			echo '#undef HAVE_SYSEXITS_H' >> autoconfig.h; \
+		fi
+		test -f try-sysexits && ${RM} try-sysexits
+		${CAT} autoconfig.h
+
+timelimit.o:	timelimit.c config.h autoconfig.h
 		${CC} ${CPPFLAGS} ${CFLAGS} -c timelimit.c
 
 ${MAN1GZ}:	${MAN1}

=== debian/changelog ===
timelimit (1.9.0-6) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Drop the adequate autopkgtest.
  * Drop the Name and Contact upstream metadata fields.
  * Update to debhelper compat level 13: use execute_after targets.

 -- Peter Pentchev <roam@debian.org>  Sun, 10 May 2020 20:05:35 +0300

timelimit (1.9.0-5) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.
  * Use the test-name autopkgtest feature.

 -- Peter Pentchev <roam@debian.org>  Wed, 27 Feb 2019 14:54:03 +0200

timelimit (1.9.0-4) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add the year 2019 to my debian/* copyright notice.
  * Add a trivial git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Wed, 16 Jan 2019 17:28:19 +0200

timelimit (1.9.0-3) unstable; urgency=medium

  * Bring up to compliance with Debian Policy 4.2.1: install the upstream
    release notes (NEWS) as NEWS and not changelog.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * Add a trivial autopkgtest running feature-check on the executable.
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.

 -- Peter Pentchev <roam@debian.org>  Sat, 15 Dec 2018 18:51:28 +0200

timelimit (1.9.0-2) unstable; urgency=medium

  * Use my Debian e-mail address.
  * Use the B-D: debhelper-compat (= 11) mechanism.
  * Declare compliance with Debian Policy 4.1.5 with no changes.
  * Add a trivial autopkgtest running adequate on the installed package.

 -- Peter Pentchev <roam@debian.org>  Tue, 17 Jul 2018 14:57:46 +0300

timelimit (1.9.0-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.4 with no changes.
  * Build-depend on debhelper 11 and remove the Lintian override.
  * Add the years 2017 and 2018 to my debian/* copyright notice.
  * New upstream release.

 -- Peter Pentchev <roam@ringlet.net>  Sun, 15 Apr 2018 02:15:57 +0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: timelimit
 Section: utils
 Priority: optional
-Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>> 10.8~), perl
-Standards-Version: 4.1.1
-Vcs-Git: https://gitlab.com/timelimit/timelimit.git -b debian
-Vcs-Browser: https://gitlab.com/timelimit/timelimit/tree/debian
+Maintainer: Peter Pentchev <roam@debian.org>
+Build-Depends: debhelper-compat (= 13), perl
+Standards-Version: 4.5.0
+Vcs-Git: https://gitlab.com/timelimit/timelimit.git -b debian/master
+Vcs-Browser: https://gitlab.com/timelimit/timelimit/tree/debian/master
 Homepage: https://devel.ringlet.net/sysutils/timelimit/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
 	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man \
 		INSTALL_PROGRAM='install -m 755' INSTALL_DATA='install -m 644'
 
-override_dh_installchangelogs:
-	dh_installchangelogs NEWS
+execute_after_dh_installchangelogs:
+	install -m 644 NEWS debian/timelimit/usr/share/doc/timelimit/
 
 %:
 	dh '$@'

=== debian/tests/control ===
Test-Command: env TIMELIMIT='/usr/bin/timelimit' prove -v /usr/share/doc/timelimit/examples/tests
Depends: @, perl
Features: test-name=upstream

Test-Command: feature-check timelimit timelimit
Depends: @, feature-check
Features: test-name=feature-check

## timelimit 1.9.2

=== debian/changelog ===
timelimit (1.9.2-3) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * Use debputy's X-Style: black.
  * Switch to debhelper compat level 14:
    - use X-DH-Compat
    - pass --destdir to dh_auto_install
    - let debhelper handle some dependencies automatically

 -- Peter Pentchev <roam@debian.org>  Tue, 31 Dec 2024 16:50:50 +0200

timelimit (1.9.2-2) unstable; urgency=medium

  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2024 to my debian/* copyright notice.
  * Mark the feature-check autopkgtest as superficial.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no
    declaration.
  * Use dh-package-notes to record ELF package metadata

 -- Peter Pentchev <roam@debian.org>  Tue, 27 Feb 2024 16:38:57 +0200

timelimit (1.9.2-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.0 with no changes.
  * Add the years 2021 and 2022 to my debian/* copyright notice.
  * Explicitly declare dh-sequence-single-binary as a virtual build
    dependency.
  * New upstream release:
    - update the upstream copyright years
    - allow output to the standard error stream in the autopkgtest

 -- Peter Pentchev <roam@debian.org>  Sat, 01 Jan 2022 21:00:59 +0200

=== debian/control ===
Source: timelimit
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-package-notes,
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
 perl,
Standards-Version: 4.7.0
X-DH-Compat: 14
Vcs-Git: https://gitlab.com/timelimit/timelimit.git -b debian/master
Vcs-Browser: https://gitlab.com/timelimit/timelimit/tree/debian/master
Homepage: https://devel.ringlet.net/sysutils/timelimit/
X-Style: black

Package: timelimit
Architecture: any
Multi-Arch: foreign
Description: simple utility to limit a process's absolute execution time
 The timelimit utility executes a command and terminates the spawned process
 after a given time with a given signal.  A "warning" signal is sent first,
 then, after a timeout, a "kill" signal, similar to the way init(8) operates
 on shutdown.

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,13 @@
 endif
 export DEB_CFLAGS_MAINT_APPEND
 
+include /usr/share/dpkg/default.mk
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
+
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man \
+	dh_auto_install --destdir '$(CURDIR)/debian/timelimit' -- \
+		PREFIX=/usr MANDIR=/usr/share/man/man \
 		INSTALL_PROGRAM='install -m 755' INSTALL_DATA='install -m 644'
 
 execute_after_dh_installchangelogs:

=== debian/tests/control ===
Test-Command: env TIMELIMIT='/usr/bin/timelimit' prove -v /usr/share/doc/timelimit/examples/tests
Depends:
 perl,
 @,
Features:
 test-name=upstream,
Restrictions:
 allow-stderr,

Test-Command: feature-check timelimit timelimit
Depends:
 feature-check,
 @,
Features:
 test-name=feature-check,
Restrictions:
 superficial,

=== debian/watch ===
version = 4

opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/sysutils/timelimit/ https://devel.ringlet.net/(?:files/sys/timelimit|sysutils/timelimit)/timelimit-@ANY_VERSION@@ARCHIVE_EXT@
